<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN""http://www.w3.org/TR/REC-html40/loose.dtd">

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.policy
Class RoleAdminPermission

    java.lang.Object
      |
      +--java.security.Permission
            |
            +--oracle.security.jazn.policy.RoleAdminPermission

All Implemented Interfaces:
  Guard, Serializable

public class RoleAdminPermission
extends Permission

The grantee of this permission is granted the right to further grant/revoke the target role

See Also:
  Serialized Form

Constructor Summary
`RoleAdminPermission(RealmRole r)` Creates a new RoleAdminPermission instance.
`RoleAdminPermission(String name)` Creates a new RoleAdminPermission instance.
`RoleAdminPermission(String name, String actions)` Creates a new RoleAdminPermission instance.

Method Summary
`boolean` | `equals(Object o)`
`String` | `getActions()`
`RealmRole` | `getRole()` Returns the role associated with this permission.
`int` | `hashCode()`
`boolean` | `implies(Permission p)`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleAdminPermission

    public RoleAdminPermission(String name)

  Creates a new RoleAdminPermission instance. The name of the role should be specified in the form: <realm name>/<rolename>.
  An input "*" to the rolename will match any roles in the system.
  An input "<realm name>/*" will match any roles in the specified realm.
Parameters:
  `name` - The name of the role whose admin option is to be granted.

### RoleAdminPermission

    public RoleAdminPermission(String name,
    String actions)

  Creates a new RoleAdminPermission instance. The name of the role should be specified in the form: <realm name>/<rolename>.
  An input "*" to the rolename will match any roles in the system.
  An input "<realm name>/*" will match any roles in the specified realm.
Parameters:
  `name` - The name of the role whose admin option is to be granted.
  `actions` - The action string. This argument is ignored.

### RoleAdminPermission

    public RoleAdminPermission(RealmRole r)

  Creates a new RoleAdminPermission instance.
Parameters:
  `r` - the role whose admin option is to be granted.

Method Detail

### getRole

    public RealmRole getRole()
                      throws JAZNException

  Returns the role associated with this permission.
  Returns:
    the role associated with this permission. throws JAZNException
    `JAZNException`

### implies

    public boolean implies(Permission p)

  Specified by:
    `implies` in class `Permission`

### getActions

    public String getActions()

  Specified by:
    `getActions` in class `Permission`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `Permission`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in class `Permission`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.